Debian Edu Project
Summary
Standalone
Debian Edu standalone workstation packages

A metapackage containing dependencies for packages required on all small standalone workstation installations in the Debian Edu Blend.

Description

For a better overview of the project's availability as a Debian package, each head row has a color code according to this scheme:

If you discover a project which looks like a good candidate for Debian Edu to you, or if you have prepared an unofficial Debian package, please do not hesitate to send a description of that project to the Debian Edu mailing list

Links to other tasks

Debian Edu Standalone packages

Official Debian packages with high relevance

cups
sistema común de impresión de UNIX (tm) - compatibilidad PPD/driver, interfaz web
Versions of package cups
ReleaseVersionArchitectures
jessie1.7.5-11+deb8u2amd64,armel,armhf,i386
experimental2.4.7-1.1amd64,arm64,armhf,i386,mips64el,ppc64el,riscv64,s390x
sid2.4.7-1amd64,arm64,armel,armhf,i386,mips64el,ppc64el,riscv64,s390x
trixie2.4.7-1amd64,arm64,armel,armhf,i386,mips64el,ppc64el,s390x
bookworm2.4.2-3+deb12u5amd64,arm64,armel,armhf,i386,mips64el,mipsel,ppc64el,s390x
bullseye2.3.3op2-3+deb11u6amd64,arm64,armel,armhf,i386,mips64el,mipsel,ppc64el,s390x
bullseye-security2.3.3op2-3+deb11u2amd64,arm64,armel,armhf,i386,mips64el,mipsel,ppc64el,s390x
buster-security2.2.10-6+deb10u9amd64,arm64,armhf,i386
buster2.2.10-6+deb10u6amd64,arm64,armel,armhf,i386,mips,mips64el,mipsel,ppc64el,s390x
stretch-security2.2.1-8+deb9u8amd64,arm64,armel,armhf,i386
stretch2.2.1-8+deb9u6amd64,arm64,armel,armhf,i386,mips,mips64el,mipsel,ppc64el,s390x
jessie-security1.7.5-11+deb8u8amd64,armel,armhf,i386
Debtags of package cups:
hardwareprinter
interfaceweb
networkserver
roleprogram
useprinting
Popcon: 23394 users (22832 upd.)*
Versions and Archs
License: DFSG free
Git

El sistema común de impresión de UNIX (o CUPS(tm)) es un sistema de impresión y un reemplazo general de lpd y similares. Admite el protocolo de impresión de internet (IPP) y tiene su propio modelo de controladores de filtrado para gestionar varios tipos de documentos.

Este paquete proporciona las partes de CUPS necesarias para utilizar los controladores de impresora.

The package is enhanced by the following packages: cups-browsed ippusbxd
cups-bsd
Sistema Común de impresión de UNIX (tm), órdenes de BSD
Versions of package cups-bsd
ReleaseVersionArchitectures
trixie2.4.7-1amd64,arm64,armel,armhf,i386,mips64el,ppc64el,s390x
jessie1.7.5-11+deb8u2amd64,armel,armhf,i386
jessie-security1.7.5-11+deb8u8amd64,armel,armhf,i386
stretch2.2.1-8+deb9u6amd64,arm64,armel,armhf,i386,mips,mips64el,mipsel,ppc64el,s390x
stretch-security2.2.1-8+deb9u8amd64,arm64,armel,armhf,i386
buster2.2.10-6+deb10u6amd64,arm64,armel,armhf,i386,mips,mips64el,mipsel,ppc64el,s390x
buster-security2.2.10-6+deb10u9amd64,arm64,armhf,i386
bullseye-security2.3.3op2-3+deb11u2amd64,arm64,armel,armhf,i386,mips64el,mipsel,ppc64el,s390x
bullseye2.3.3op2-3+deb11u6amd64,arm64,armel,armhf,i386,mips64el,mipsel,ppc64el,s390x
bookworm2.4.2-3+deb12u5amd64,arm64,armel,armhf,i386,mips64el,mipsel,ppc64el,s390x
sid2.4.7-1amd64,arm64,armel,armhf,i386,mips64el,ppc64el,riscv64,s390x
experimental2.4.7-1.1amd64,arm64,armhf,i386,mips64el,ppc64el,riscv64,s390x
Debtags of package cups-bsd:
hardwareprinter
interfacecommandline
networkserver
roleprogram
suitebsd
useprinting
works-with-formatpdf
Popcon: 7860 users (6886 upd.)*
Versions and Archs
License: DFSG free
Git

El sistema común de impresión de UNIX (o CUPS(tm)) es un sistema de impresión y un reemplazo general de lpd y similares. Admite el protocolo de impresión de internet (IPP), y tiene su propio modelo de controladores de filtrado para gestionar varios tipos de documentos.

Este paquete proporciona las órdenes de BSD para interactuar con CUPS. Se proporcionan de forma separada para permitir a CUPS coexistir con otros sistemas de impresión (en menor grado).

cups-pdf
PDF writer backend for CUPS (dummy transitional package)
Versions of package cups-pdf
ReleaseVersionArchitectures
jessie2.6.1-15amd64,armel,armhf,i386
stretch2.6.1-22amd64,arm64,armel,armhf,i386,mips,mips64el,mipsel,ppc64el,s390x
Debtags of package cups-pdf:
roleapp-data
useconverting, printing
works-withtext
works-with-formatpdf
Popcon: 11 users (1 upd.)*
Versions and Archs
License: DFSG free

This dummy package is provided to support the transition from cups-pdf to printer-driver-cups-pdf and should be removed afterwards.

education-common
Debian Edu common basic packages
Versions of package education-common
ReleaseVersionArchitectures
jessie1.812+deb8u1amd64,armel,armhf,i386
trixie2.12.15amd64,arm64,armel,armhf,i386,mips64el,ppc64el,s390x
stretch1.924amd64,arm64,armel,armhf,i386,mips,mips64el,mipsel,ppc64el,s390x
bookworm2.12.15amd64,arm64,armel,armhf,i386,mips64el,mipsel,ppc64el,s390x
sid2.12.15amd64,arm64,armel,armhf,i386,mips64el,ppc64el,riscv64,s390x
bullseye2.11.37amd64,arm64,armel,armhf,i386,mips64el,mipsel,ppc64el,s390x
buster2.10.47amd64,arm64,armel,armhf,i386,mips,mips64el,mipsel,ppc64el,s390x
Debtags of package education-common:
rolemetapackage
Popcon: 0 users (0 upd.)*
Versions and Archs
License: DFSG free
Git

A metapackage containing dependencies for packages required on all installations in the Debian Edu Blend.

education-desktop-other
aplicaciones de escritorio comunes de Debian Edu
Versions of package education-desktop-other
ReleaseVersionArchitectures
bookworm2.12.15amd64,arm64,armel,armhf,i386,mips64el,mipsel,ppc64el,s390x
bullseye2.11.37amd64,arm64,armel,armhf,i386,mips64el,mipsel,ppc64el,s390x
sid2.12.15amd64,arm64,armel,armhf,i386,mips64el,ppc64el,riscv64,s390x
buster2.10.47amd64,arm64,armel,armhf,i386,mips,mips64el,mipsel,ppc64el,s390x
trixie2.12.15amd64,arm64,armel,armhf,i386,mips64el,ppc64el,s390x
jessie1.812+deb8u1amd64,armel,armhf,i386
stretch1.924amd64,arm64,armel,armhf,i386,mips,mips64el,mipsel,ppc64el,s390x
Popcon: 0 users (0 upd.)*
Versions and Archs
License: DFSG free
Git

Este metapaquete depende de varias aplicaciones de escritorio y ofimática que son útiles para profesores y sus estudiantes.

foomatic-db-compressed-ppds
OpenPrinting printer support - Compressed PPDs derived from the database
Versions of package foomatic-db-compressed-ppds
ReleaseVersionArchitectures
jessie20150411-1all
bullseye20200820-1all
sid20230202-1all
bookworm20230202-1all
trixie20230202-1all
stretch20161201-1all
buster20181217-2all
upstream20240222
Debtags of package foomatic-db-compressed-ppds:
hardwareprinter
roleapp-data
Popcon: 1820 users (687 upd.)*
Newer upstream!
License: DFSG free
Git

Foomatic is a printing system designed to make it easier to set up common printers for use with Debian (and other operating systems). It provides the "glue" between a print spooler (like CUPS or lpr) and your actual printer, by telling your computer how to process files sent to the printer.

This package contains all PPD files which can be generated from the Foomatic database as one small compressed archive. This reduces the disk space consumption compared to the Foomatic XML database vastly and in addition makes listing of all available PPDs and extracting the needed PPD much faster than using the Foomatic XML database.

hp-ppd
HP Postscript Printer Definition (PPD) files
Maintainer: A Mennucc1 (Paul Gevers)
Versions of package hp-ppd
ReleaseVersionArchitectures
jessie0.9-0.2all
stretch0.9-0.3all
buster0.9-0.3all
bullseye0.9+nmu1all
bookworm0.9+nmu1all
trixie0.9+nmu1all
sid0.9+nmu1all
Debtags of package hp-ppd:
hardwareprinter
roleapp-data
useprinting
Popcon: 0 users (0 upd.)*
Versions and Archs
License: DFSG free

Because PostScript is just a page description language, there is a need to provide a mechanism for a print spooler to customize the PostScript Job to the actual printer device.

A PPD (PostScript Printer Definitions) specify the device specific PostScript commands needed to utilize printer features (such as printing quality, paper tray, duplex printing).

This package contains some PPDs for HP printers that are not in package linuxprinting.org-ppds

hpijs-ppds
Impresión y escaneado en Linux de HP, archivos PPD de HPIJS
Versions of package hpijs-ppds
ReleaseVersionArchitectures
stretch-backports3.18.12+dfsg0-2~bpo9+1all
bullseye3.21.2+dfsg1-2all
stretch3.16.11+repack0-3all
bookworm3.22.10+dfsg0-2all
buster3.18.12+dfsg0-2all
jessie3.14.6-1+deb8u1all
trixie3.22.10+dfsg0-4all
buster-backports3.20.9+dfsg0-4~bpo10+1all
sid3.22.10+dfsg0-4all
upstream3.23.12
Debtags of package hpijs-ppds:
hardwareprinter
roledata
usedriver
Popcon: 199 users (66 upd.)*
Newer upstream!
License: DFSG free
Git

Este paquete contiene archivos PPD (definición de impresoras) para las impresoras que se pueden usar a través del controlador HPIJS del sistema de impresión y escaneado en Linux de HP.

Estos PPD deberían funcionar bien con las versiones correspondientes de HPLIP y HPIJS, pero puede que no sean los PPD más actuales disponibles para una impresora dada. Mire http://www.openprinting.org/ si desea la última versión de los PPD (que no está garantizado que funcionen bien).

hplip-gui
impresión y tratamiento de imágenes de HP para Linux (HPLIP) - utilidades de interfaz gráfica de usuario (basadas en Qt)
Versions of package hplip-gui
ReleaseVersionArchitectures
jessie3.14.6-1+deb8u1all
stretch3.16.11+repack0-3all
stretch-backports3.18.12+dfsg0-2~bpo9+1all
buster3.18.12+dfsg0-2all
buster-backports3.20.9+dfsg0-4~bpo10+1all
bullseye3.21.2+dfsg1-2all
bookworm3.22.10+dfsg0-2all
trixie3.22.10+dfsg0-4all
sid3.22.10+dfsg0-4all
upstream3.23.12
Debtags of package hplip-gui:
hardwareprinter
roleprogram
scopeutility
Popcon: 2035 users (78 upd.)*
Newer upstream!
License: DFSG free
Git

El sistema de HP para impresión e imágenes en Linux (HPLIP) proporciona funcionalidad completa para imprimir en la mayoría de impresoras de tinta HP SFP (periférico de una sola función) y multitud de impresoras láser, y para escanear, enviar faxes y acceder a las tarjetas de memoria en la mayoría de impresoras HP MFP (periféricos multifunción).

Este paquete contiene las utilidades con interfaz gráfica de usuario (GUI) para HPLIP: HP Toolbox, HP Fax...

Todas las utilidades con interfaz gráfica están basados en en entorno Qt. Actualmente no hay un equivalente de estas utilidades basadas en GTK+.

isenkram
Suggest packages to install when inserting new hardware (GUI popup)
Maintainer: Petter Reinholdtsen
Versions of package isenkram
ReleaseVersionArchitectures
sid0.55all
trixie0.55all
bookworm0.51all
bullseye0.48all
buster0.41all
stretch0.33all
jessie0.18+deb8u1all
Popcon: 326 users (21 upd.)*
Versions and Archs
License: DFSG free
Git

Try to figure out which packages to suggest for use with a freshly inserted hardware device.

*Popularitycontest results: number of people who use this package regularly (number of people who upgraded this package recently) out of 237180